Index: lemon/bits/array_map.h
===================================================================
--- lemon/bits/array_map.h	(revision 263)
+++ lemon/bits/array_map.h	(revision 314)
@@ -27,46 +27,46 @@
 #include <lemon/concepts/maps.h>
 
-/// \ingroup graphbits
-/// \file
-/// \brief Graph map based on the array storage.
+// \ingroup graphbits
+// \file
+// \brief Graph map based on the array storage.
 
 namespace lemon {
 
-  /// \ingroup graphbits
-  ///
-  /// \brief Graph map based on the array storage.
-  ///
-  /// The ArrayMap template class is graph map structure what
-  /// automatically updates the map when a key is added to or erased from
-  /// the map. This map uses the allocators to implement
-  /// the container functionality.
-  ///
-  /// The template parameters are the Graph the current Item type and
-  /// the Value type of the map.
+  // \ingroup graphbits
+  //
+  // \brief Graph map based on the array storage.
+  //
+  // The ArrayMap template class is graph map structure what
+  // automatically updates the map when a key is added to or erased from
+  // the map. This map uses the allocators to implement
+  // the container functionality.
+  //
+  // The template parameters are the Graph the current Item type and
+  // the Value type of the map.
   template <typename _Graph, typename _Item, typename _Value>
   class ArrayMap
     : public ItemSetTraits<_Graph, _Item>::ItemNotifier::ObserverBase {
   public:
-    /// The graph type of the maps.
+    // The graph type of the maps.
     typedef _Graph Graph;
-    /// The item type of the map.
+    // The item type of the map.
     typedef _Item Item;
-    /// The reference map tag.
+    // The reference map tag.
     typedef True ReferenceMapTag;
 
-    /// The key type of the maps.
+    // The key type of the maps.
     typedef _Item Key;
-    /// The value type of the map.
+    // The value type of the map.
     typedef _Value Value;
 
-    /// The const reference type of the map.
+    // The const reference type of the map.
     typedef const _Value& ConstReference;
-    /// The reference type of the map.
+    // The reference type of the map.
     typedef _Value& Reference;
 
-    /// The notifier type.
+    // The notifier type.
     typedef typename ItemSetTraits<_Graph, _Item>::ItemNotifier Notifier;
 
-    /// The MapBase of the Map which imlements the core regisitry function.
+    // The MapBase of the Map which imlements the core regisitry function.
     typedef typename Notifier::ObserverBase Parent;
 
@@ -76,7 +76,7 @@
   public:
 
-    /// \brief Graph initialized map constructor.
-    ///
-    /// Graph initialized map constructor.
+    // \brief Graph initialized map constructor.
+    //
+    // Graph initialized map constructor.
     explicit ArrayMap(const Graph& graph) {
       Parent::attach(graph.notifier(Item()));
@@ -90,7 +90,7 @@
     }
 
-    /// \brief Constructor to use default value to initialize the map.
-    ///
-    /// It constructs a map and initialize all of the the map.
+    // \brief Constructor to use default value to initialize the map.
+    //
+    // It constructs a map and initialize all of the the map.
     ArrayMap(const Graph& graph, const Value& value) {
       Parent::attach(graph.notifier(Item()));
@@ -105,7 +105,7 @@
 
   private:
-    /// \brief Constructor to copy a map of the same map type.
-    ///
-    /// Constructor to copy a map of the same map type.
+    // \brief Constructor to copy a map of the same map type.
+    //
+    // Constructor to copy a map of the same map type.
     ArrayMap(const ArrayMap& copy) : Parent() {
       if (copy.attached()) {
@@ -123,11 +123,11 @@
     }
 
-    /// \brief Assign operator.
-    ///
-    /// This operator assigns for each item in the map the
-    /// value mapped to the same item in the copied map.
-    /// The parameter map should be indiced with the same
-    /// itemset because this assign operator does not change
-    /// the container of the map.
+    // \brief Assign operator.
+    //
+    // This operator assigns for each item in the map the
+    // value mapped to the same item in the copied map.
+    // The parameter map should be indiced with the same
+    // itemset because this assign operator does not change
+    // the container of the map.
     ArrayMap& operator=(const ArrayMap& cmap) {
       return operator=<ArrayMap>(cmap);
@@ -135,10 +135,10 @@
 
 
-    /// \brief Template assign operator.
-    ///
-    /// The given parameter should be conform to the ReadMap
-    /// concecpt and could be indiced by the current item set of
-    /// the NodeMap. In this case the value for each item
-    /// is assigned by the value of the given ReadMap.
+    // \brief Template assign operator.
+    //
+    // The given parameter should be conform to the ReadMap
+    // concecpt and could be indiced by the current item set of
+    // the NodeMap. In this case the value for each item
+    // is assigned by the value of the given ReadMap.
     template <typename CMap>
     ArrayMap& operator=(const CMap& cmap) {
@@ -153,7 +153,7 @@
 
   public:
-    /// \brief The destructor of the map.
-    ///
-    /// The destructor of the map.
+    // \brief The destructor of the map.
+    //
+    // The destructor of the map.
     virtual ~ArrayMap() {
       if (attached()) {
@@ -171,8 +171,8 @@
   public:
 
-    /// \brief The subscript operator.
-    ///
-    /// The subscript operator. The map can be subscripted by the
-    /// actual keys of the graph.
+    // \brief The subscript operator.
+    //
+    // The subscript operator. The map can be subscripted by the
+    // actual keys of the graph.
     Value& operator[](const Key& key) {
       int id = Parent::notifier()->id(key);
@@ -180,8 +180,8 @@
     }
 
-    /// \brief The const subscript operator.
-    ///
-    /// The const subscript operator. The map can be subscripted by the
-    /// actual keys of the graph.
+    // \brief The const subscript operator.
+    //
+    // The const subscript operator. The map can be subscripted by the
+    // actual keys of the graph.
     const Value& operator[](const Key& key) const {
       int id = Parent::notifier()->id(key);
@@ -189,8 +189,8 @@
     }
 
-    /// \brief Setter function of the map.
-    ///
-    /// Setter function of the map. Equivalent with map[key] = val.
-    /// This is a compatibility feature with the not dereferable maps.
+    // \brief Setter function of the map.
+    //
+    // Setter function of the map. Equivalent with map[key] = val.
+    // This is a compatibility feature with the not dereferable maps.
     void set(const Key& key, const Value& val) {
       (*this)[key] = val;
@@ -199,8 +199,8 @@
   protected:
 
-    /// \brief Adds a new key to the map.
-    ///
-    /// It adds a new key to the map. It called by the observer notifier
-    /// and it overrides the add() member function of the observer base.
+    // \brief Adds a new key to the map.
+    //
+    // It adds a new key to the map. It called by the observer notifier
+    // and it overrides the add() member function of the observer base.
     virtual void add(const Key& key) {
       Notifier* nf = Parent::notifier();
@@ -227,8 +227,8 @@
     }
 
-    /// \brief Adds more new keys to the map.
-    ///
-    /// It adds more new keys to the map. It called by the observer notifier
-    /// and it overrides the add() member function of the observer base.
+    // \brief Adds more new keys to the map.
+    //
+    // It adds more new keys to the map. It called by the observer notifier
+    // and it overrides the add() member function of the observer base.
     virtual void add(const std::vector<Key>& keys) {
       Notifier* nf = Parent::notifier();
@@ -271,8 +271,8 @@
     }
 
-    /// \brief Erase a key from the map.
-    ///
-    /// Erase a key from the map. It called by the observer notifier
-    /// and it overrides the erase() member function of the observer base.
+    // \brief Erase a key from the map.
+    //
+    // Erase a key from the map. It called by the observer notifier
+    // and it overrides the erase() member function of the observer base.
     virtual void erase(const Key& key) {
       int id = Parent::notifier()->id(key);
@@ -280,8 +280,8 @@
     }
 
-    /// \brief Erase more keys from the map.
-    ///
-    /// Erase more keys from the map. It called by the observer notifier
-    /// and it overrides the erase() member function of the observer base.
+    // \brief Erase more keys from the map.
+    //
+    // Erase more keys from the map. It called by the observer notifier
+    // and it overrides the erase() member function of the observer base.
     virtual void erase(const std::vector<Key>& keys) {
       for (int i = 0; i < int(keys.size()); ++i) {
@@ -291,8 +291,8 @@
     }
 
-    /// \brief Buildes the map.
-    ///
-    /// It buildes the map. It called by the observer notifier
-    /// and it overrides the build() member function of the observer base.
+    // \brief Buildes the map.
+    //
+    // It buildes the map. It called by the observer notifier
+    // and it overrides the build() member function of the observer base.
     virtual void build() {
       Notifier* nf = Parent::notifier();
@@ -305,8 +305,8 @@
     }
 
-    /// \brief Clear the map.
-    ///
-    /// It erase all items from the map. It called by the observer notifier
-    /// and it overrides the clear() member function of the observer base.
+    // \brief Clear the map.
+    //
+    // It erase all items from the map. It called by the observer notifier
+    // and it overrides the clear() member function of the observer base.
     virtual void clear() {
       Notifier* nf = Parent::notifier();
